# Name of the project is avl, despite Debian using libavl, because they cannot
# do otherwise.
Name:           avl
Version:        0.3.5
Release:        alt1_1
Summary:        AVL tree manipulation library

Group:          System/Libraries
License:        LGPLv2+
URL:            http://git.fruit.je/avl
# Upstream development is API-incompatible per discussion with its author,
# he suggested using Debian orig.tar.gz
Source0:        http://ftp.debian.org/debian/pool/main/liba/libavl/libavl_0.3.5.orig.tar.gz
Patch0:         avl-0.3.5-build.patch
Source44: import.info

%description
This library consists of a set of functions to manipulate AVL trees. AVL
trees are very efficient balanced binary trees, similar to red-black
trees. The functions in this library can handle any kind of payload and
search key type.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .build

%build
export CFLAGS="%{optflags}"
make -f GNUmakefile %{?_smp_mflags}  libdir=%{_libdir}


%install
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} libdir=%{_libdir}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{_libdir} -type f -exec chmod +x '{}' \;

%files
%doc README COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Jul 07 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_1
- initial release by fcimport

